To do:
=======

  - overwork print routine
    the print routine is very simple at the moment, it would better
    with future versions of wxBasic
  - add Page Preview
  - add Formdesigner back with more Features:
      * Objects in Dialogs
      * Sizers
      * Events
      * Object-Properties
      * must run in Linux
  - overwork to 'Convert to HTML'


Know'n Problems
===============

 - wxEditor is untested on Linux and Mac
 - folding is incompletely
 - wxWidgets help is not unload correctly
 - charsets and codepages are untested


Version History:
================


V4.1.5 (02/06/16)
  - fix: bug in calltips
  - fix: memory issue in some subs

V4.1.4 (01/15/16)
  - fix: bug in empty files
  - fix: lexer handling
  - fix: upx don't compress icons anymore
  - add: python lexer
  - update reference file
  - remove class help from help menu,
    new class help as calltip
    leave the mouse 2 seconds over a class/member and a calltip is shown
    click of this calltip open the wxWidgets help
    note:
    the class help routine is is not perfect. it scans the code for finding the declarations.
    especially with tables or lists this routine can't find the correctly declarations always.
  - add icons to the popup menu
  - overworking some routines

V4.1.3 (12/07/14)
  - add: close tab question
  - fix: close file
  - fix: move file to project folder


V4.1.2 (08/04/14)
  - fix: error on changing lexer fonts
  - fix: file structure is not displayed correctly 
  - fix: other little errors

V4.1.1 (07/15/14)
  - fix: wxEditor crashed on changing colours

V4.1.0 (06/30/14)
  - update to wxBasic 2.08.12.37
  - update wxBasic referencefile
  - fix: use first error line from error file only
  - fix: error in bookmarks
  - fix: autocorrect mismach
  - add: save the file before internal bind
  - add: open a file by dragging
  - add: hide comments
  - add: set codepage - default is system default
  - add: set charset - default is UTF8
  - add: set log window colour
  - add: set font colours for control center and log window
  - add: "Backup now" menuitem
  - add: set autofocus in editor window and control center
  - add: macro handling
  - add: more lexers
  - add: dsmPlayer, a simple audio player :)
  - add: show/hide toolbars and change the style
  - remove: create own toolbars
  - remove: sort bookmarks by creating
  - replace option: "load last file" with "load last session"
  - change: split the old one toolbar in different toolbars
  - change: use wxFileHistory instead of my own routine
  - change: use upx for compressing again, it can handle 64 bit files now
  - change: lexer structure for better compatibility to scintilla lexers
  - fix other errors
  

V4.0.7 (02/21/13)
  - fix: critical bug while saving configuration file
  - change: better killing hanged programs
  - new messages for processes
  - new messages for compressing interpreter
  - wxEditor is now packed again with mpress
    mpress can't decompress files so you can extract the interpreter,
    but it's not possible to changethe icon in this
    if you want to do this, you must download the original interpreter from wxbasic.net

V4.0.6 (12/17/12)
  - new lexer options menu in lexer menu
  - separate the commands for each lexer in an extra toolbar, handled over the lexer options menu
  - change internal routines for storing the commands from the referencefile
  - new referencefile, update to wxBasic version 2.08.12.34
  - replace Reshacker with ReshackerFX to avoid problems in Windows 8 
  - remove upx, because upx can't handle 64 bit files correctly
  - wxEditor comes now uncompressed, because the interpreter can't uncompress to change the icon
  - add: new menuitem to compress interpreter with MPress after changing the icon, can't decompress !
  - add: new option for loading the referencefile in options menu
  - add: run a new file temporarly without saving
  - add: simple print routine
  - fix: bug in insert classes from control center
  - other little changes
  - 64 bit version

V4.0.5 (12/02/11)
  - fix: bug on bind include files
  - fix: view structure correctly in control center
  - add: stop button in toolbar
  - better member viewing for topclasses
  - new about dialog with wxAboutBox
  - update upx to version 3.08
  - simple file preview in file explorer as calltip
  - other little changes

V4.0.4 (09/09/11)
  - fix some bugs, 1 critical
  - other little changes

V4.0.3 (05/05/11)
  - fix some bugs
  - add: ResourceHacker and upx to resource directory
  - update referencefile to the new wxbasic version
  - use wxbasic version 2.08.12.30
  - change german 'umlauts'

V4.0.2 (01/24/11)
	- fix: bug in backup routine
	- fix: bug in add to project
	- fix: bug in internal bind
	- update resourcefile
	- update internal bind
	- update statusbar
	- comletly use wxAUIFramework
	- add: user define toolbars
	- add: Class Help Menuitem in the Help Menu
	- add: stop program menuitem
	- move lexer options to lexer menu

V4.0.1 (06/21/09)
	- add: portable menuitem
	- fix: search routine
	- add back: change interpreter Icon

V4.0 (05/15/09)
	- new project handling, add a project file, which now includes filenames 
	- new Buttonbar handling
	- new Notebook, use wxAuiNotebook
	- new Menubar, use wxAuiMenubar, includes Icons from xpm files
	- new Lexer handling, each Lexer have a separate file
	- new ini file handling, use wxFileConfig
	- new language handling, use wxLocale
	- add: wxTaskbarIcon, minimize program to tray
	- add: Split Tabs horizontally or vertically (unsplit with Drag'n Drop)
	- add: Uninstall wxEditor
	- change: internal bind now includes other files
	- change: run file now use wxProcess
	- change: insert classes from the control center
	- optimize file search routine
	- remove unneeded messages
	- split and sort code
	- other bugfixes

V3.9 beta1 (05/01/2008)
	- clear code blocks
	- add: simple deinstall
	- add: view HTML with default browser
	- add: replace interpreter Icon
	- add: sort bookmarks in created order
	- fix: referencefile
	- change: leave undo buffer after file save
	- change/fix: view find dialog
	- fix some other bugs

V3.8 beta4 (03/03/2008)
	- fix some bugs
	- now use the real Toolbar instead of the self painted in Ralfs version

V3.8 beta3 (02/15/2008)
	- fix some bugs
	- add a version for Ralf Peters wxBasic interpreter

V3.8 beta2 (01/15/2008)
	- fix some bugs
	- add: referencefile for Ralf Peters wxBasic version
	- change: referencefile compatibility

V3.8 beta1 (10/21/2007)
	- add: setup search words in the control center for each Lexer
	- add: Euphoria Keywords
	- add: Collections in control centre
	- change: numbers of buttons in the control center depending on declared searchwords
	- fix: bug in file history
	- fix: bug in user define buttons
	- change: autoinsert space
	- change: autocorrecture
	- change and fix: insert classes from the control centre

V3.7 beta4 (08/01/2007)
	- fix: bug in autocorrecture if position=0

V3.7 beta3 (07/30/2007)
	- fix: bug in file rename
	- change: search for classes now forewards for autocorrecture

V3.7 beta2 (06/25/2007)
	- fix: bug at creating new wxBasic Reference
	- fix: bug in autocorrection

V3.7 beta1 (03/26/2007)
	- fix: error in close files again
	- remove: formdesigner (now standalone)
	- remove: builtin for recreation wxb reference file (now standalone)
	- remove: autoinsert end of fuctions
	- remove: file compare
	- fix: some internal bugs
	- optimize some code blocks
	- overwork: calltips and userlists
	- overwork: now realtime autocorrection
	- change: bookmark handling
	- change: show/hide control centre
	- change: internal binding: extract interpreter only, if it is not present
	- change: button in toolbar to enable/disable auto inserting spaces and autocorrecture
	- change: limit the log window to 1000 lines
	- change: separate pointers from styles in control centre
	- add: AutoCompletion in Programming Menu (unsorted List)

V3.6 beta3 (08/10/2006)
	- Fix: ID Mismach in Projects Menu
	- Fix: Error in close Files
	- Add: 'handle' keyword

V3.6 beta2
	- Fix: Bug in changing Colours and Fonts for the Lexers
	- Fix: Bug in adding Styles in Control Centre
	- Fix: Bug in Easyjump
	- Change code to working with the actual wxBacic Release 
	- Add: File Explorer in Control Centre and Popupmenu for Files

V 3.6 beta1 (11/26/2005)
	- Fix: Bug in building Functions (Control-Centre)
	- Fix: Bug while connecting wxEditor with extensions
	- Add: Autohide for Control-Centre and Log-Window, Right Click on the Notebook to activate
	- Fix: Bug in Autoindent (Line Ending)
	- Change: Bookmark handling
	- Change: Bind use now internal wxBasic Version
	- Change: Setup up to 6 Commands for each Lexer in the Options Menu
	- Change: more Functions in Toolbar
	- Change: Toolbar Bitmap can now set in the Options-Menu (up to 32x32 Pixel)
	- Change: User define Buttons use now second Toolbar
	- Add: Convert Lineending to CRLF
	- Add: Indent/Unindent
	- Add: Swap Comments/Uncomment the selected Lines
	- Add: comment-Char for each Lexer is set in the File 'Lexer.syn'
	- Remove: read Declarations
	- Change: reading Subs/Functions
	- Add: Show Fullscreen (F11)
	- Add: Doubleclick on a Notebook Tab close the File
	- Fix: Bug in Resizing Log-Window

V 3.5 beta2 (11/09/2005)
	- Fix: Bug in User definied Buttons
	- Fix: Calltips show now only the main-Function
	- Fix: 'Run' can now handle Pathnames with spaces

V 3.5 beta1 (10/23/2005)
	- Add: 'save Bookmarks' will now load all Files at start, wich have a Bookmark
	- Add: Log Window - the most Messages are redirected to this Window
	- Add: Options for saving the Messages in a Log-File
	- Rename: 'wxBasic.syn' to 'wxBasic.ref' (Referencefile)
	- Add: Classes and Members to the Referencefilefile, wich can only used in Microsoft Windows
	- Add: Option for searching Files in Subdirectories
	- Fix: 'Remove Project' remove now the completely Directory
	- Fix: Bug in Auto Insert End of Functions
	- Add: Change Lexer Fonts for the current Lexer, remove change Fonts in the Options Menu
	- Add: wxBasic Keywords, Constants, Identifier and Options in the Control Centre
	- Change reading Declarations
	- Fix: save splitterSizes
	- Fix: Button-Sizes in Control-Centre
	- completly rewrote Code to autoinsert Spaces
	- Add: Undo for AutoInsertSpaces
	- Add: Get the used wxBasic-Version in the Help-Menu
	- Add: Goto last Position in File while starting wxEditor
	- Fix: Bug in File Rename
	- Add: Working Directory for user definied Buttons
	- Add: Backup-Handling in Options-Menu
	- Add: Run in Trace-Mode
	- Add: Autocorrecture for Subs, Functions and Classes
	- Add: Calltips for Subs, Functions and Classes
	- Add: Full Path as Calltip for the active File in Editor/Notebook
	- Add: Support for other programming Languages in Control-Center and Rename
	       "wxBasic" in Options-Menu to "Programming"
	- Change: Builtin Functions are now directly under 'Builtins' in Command-Centre
	- Add: Example Freebasic-ReferenceFile
	- Formdesigner:
	  * new Outfit
	  * Add: Popup-Menu with right Mousebutton
	  * Add: Parent-Handling for wxPanel, wxWindow, wxSplitterWindow, wxSashWindow
	- Change: 'File Delete' -Icon to 'Select All' Icon and
	- Change: 'View Linenumbers' -Icon to 'Open/Close' Folders-Icon
	- Add: Folder Handling
	- Change: speeding up Bind-Routine
	and other

V 3.4 beta4 (03/12/2005)
	- Fix: Bug while creating 'wxBasix.syn'  
	- Fix: load the Subs/Functions handling
	- Fix: Bug in AutoInsertSpace
	- new Lexer Handling, Lexers are saved in an external File
	- Add: Message, if you want to execute a non wxBasic-File (only .wxb)
	- Recreate the Language-Files, so the User can write new one

V 3.4 beta3 (02/11/2005)
	- Fix: Bug at saving Files 
	- Fix: Bug during closing a File
	- Fix: Bug in AutoInsertSpace

V 3.4 beta2 (02/07/2005)
	- Fix: Bug at creating a new ini-File
	- Fix: Bug in Bookmarks-Dialog
	- Fix: Bug in loading the File 'wxBasic.syn'
	       Now you must first create a new 'wxBasic.syn'. It's necessary for your Language.
	- Add: Highlight Internet- and Email-Adress in HTML-Converter

V 3.4 beta1 (02/03/2005)
	- completly rewrote the code for insert Functions from the List
	  * move Constructors to the superior Class
	  * add Classes, wich you cannot use - only for Info
	  * fixed some Bugs
	  and other
	- Add: create the File 'wxBasic.syn' from the 'class.i' and 'builtin.c' 
	- Add: Menuitem to Rebuild the File 'wxBasic.syn'
	- Add: HTML-Window to Formdesigner
	- Add back: File Info
	- Add back: Autocorrecture in 'Run'-Menu
	- Add: Convert to HTML in 'Run'-Menu
	- Add: HTML-Preview in 'View'-Menu
	- Add: Description to the Help-Menu
	- Fix: Error with Spaces in Autocorrecture
	- Fix: Error in Userlist-Show
	- Fix: Insert Space during Mouse Click

V 3.3 beta6 (01/03/2005)
	- Fix: Bug in 'AutoInsertFunctions'
	- Fix: Bug in Auto Insert Spaces
	- Add: Insert Members from the Members-List
	- Add: Highlighting Calltips
	and others

V 3.3 beta5 (12/13/2004)
	- Fix: Bug in Error-Line handling
	- Fix: Bug at opening include-Files
	- Overwork most Routines
	- new Functions-Builder
	- new MenuBar
	- Set up to 10 Bookmarks
	- Don't delete ini-File at using a new Version
	- Use now Splitter Window for Tiling the Screen
	- Add: Form Designer

V 3.2b beta (04/29/2004)
	- Change Command-Line Options back (for better Handling from the Command-Line)
	  -f View Functions-Builder
	  -p View Project Window
	  -m no Fullscreen
	- Fix: starting Editor if a File is connectet with him
	       You can now connect any Filetypes with wxEditor.
	- Fix: Insert Spaces

V 3.2a beta (04/21/2004)
	- Fix: Conflict with Search and User-Buttons
	- Fix: Bind Routine

V 3.2 beta (04/01/2004)
	- Fix: Return Message, if no Marker set
	- Fix: Bug in View and Insert a Connection
	- Fix: Bug in View Style from wxTextCtrl
	- Fix: Bug in 'Marker Delete All'
	- Fix: Bug in 'Delete Textblock'
	- Fix: Bug in Options-Menu
	- Fix: Show only Builtin-Functions in the Help-Menu, wich are declared
	- Fix: Bug in File History
	- Fix: Bug in File Compare
	- Add: Open Console Window
	- Add: Project-Menu
	- Add: Rename a File
	- Add: Change Backup Path
	- Add: Change Backup-Files Counter
	- Add: View ASCII-Keycodes from wxBasic in Help-Menu
	- Add: Insert ASCII-Value in Edit-Menu (only printable Chars)
	- Add: Resizable Windows
	- Add: Add/Remove/Change Extensions in File Open Dialog and set the
	       Default Extension
	- Add: Easy Jump to Functions
	- Add: Show dedicated Brace
	- Add: Open all Include-Files and Add it to the Functions-List
	- Add: User-List for Members
	- Add: Show CallTips for Functions and Insert these
	- Add: Deactivate automatical reaload Functions (by clicking on a Tab)
	- Add: Reload Functions-List manually with the 'F2'-Key
	- Add: AutoCorrection in the Run-Menu
	- Add: AutoCorrection during write Code (only Case and Braces)
	- Add: Auto Insert End of Functions
	- Add: Auto Insert Spaces
	- Add: Show Tips at Start
	- Add: Extract 'wxbasic.exe' from wxEditor
	- Add: %e as Placeholder for the wxEditor-Path in User definied Buttons
	- Remove: Change Window Site of Functions-Builder and Project Window
	- Overwork: loading Functions in Functions-Builder
	- Overwork: Options-Dialog
	- Overwork: Save Text Block
	- Overwork: Command-Line Options
		    rename -f to -m for Fullscreen/Maximize
		    -f Hide the Functions-Builder
		    -p Hide the Project Window
		    -t and -c removed
	- Overwork: File Compare - View Changes in two Windows

V 3.1 beta (12/10/2003)
	- Fix: Error in 'Make Block' -Menuitem
	- Fix: Bug in 'Replace in Selection'- Routine
	- Add: Multilanguage Support
	- Add: Command-Line Options
	       File
	       -b	    View Functions-Builder
	       -f	    Fullscreen Mode
	       -t	    View Tabs/Spaces
	       -zZoom	Set Zoom
	       -lLanguage    Set Language
	       -c	    View Line Breaks
	- Overwork: Run and Compile Routine
	- Replace: Functions-Combo with separate Functions-Window
	- Add: Icons for Bookmarks in Toolbar
	- Add: Support for Classes in wxb2, php or c
	- Add: Separators between Subs/Functions
	- Add: AutoIndent
	- Add: Change Paths in Options-Menu
	- Add: Goto Bookmark in Toolbar
	- Add: Convert ANSII to ASCII and reverse
	- Add: Builtin Bind-Routine
	- Add: Compare the actual File with another
	- Add: 'Hide Lines' in Edit Menu for more then one Block
	- Overworking wxEditor, it runs now in wxb2

V 3.0 beta2
	- Fix: Default Font in Editor
	- Fix: wxBasic Path may not have a Space in the Foldername
	- Change: Clear Selection Menu, it is now much faster and more than one
		  Selections are possible
	- Edit Menu: Add: 'Make Block' to make Text as Textblock

V 3.0 beta (09/05/03)
	- Change: reading and form of the ini-File
	- Rename 'wxIde' to 'wxEditor'
	- Add: Save 'Tab as Space' in ini-File
	- Add: Save Window-Size in ini-File
	- Add: Doubleclick in the Stylebox insert the selected Style directly in the Text
	- Rename: 'GUI-Builder' to 'Functions Builder'
	- Fix: Error at creating Function-Builder Dialog (Combobox and Text)
	- Change: Options- and View- Menu:
	Add: Set specific Font for each Style and Control
	Add: Set Colours for Styles and Controls
	Add: Set Line Indentation
	Add: Set Number of Files (0...9) in History
	Add: 'Save Options'
	Add: Functions-Buider Top or Bottom
	Add: Change Functions-Builder Tab Top/Bottom
	Add: Change Editor Tab Top/Bottom
	Add: Change Lexer and Keywords for some programming Languages
	Add: Escape Exit Editor
	Add: Select Querys
	Move: View Full Functions from Help-Menu to Functions-Builder
	Remove: 'ReRead Sub-List'
	- Change: Functions-Builder:
	The Size and Position is now passed
	Add: Insert openGL-Functions to the Functions-Builder
	Add: HTTP-Functions to Functions-Builder
	Functions are subdivided into four groups and one Group for Functions-Details
	Fix: View renamed Sub-Functions
	Add: Insert Connections
	Add: View Functions, which has no Constructor
	Add: View Functions, which are not supported
	Add: Shift-Ctrl-Character jump to the Character in the Functions-List
	- Change: Reload File reset only the File in the Editor, the Position will be hold
	- Change: Goto Bookmark set the Cursor on the Bookmark
	- Remove: Checkboxes for wxMenu and wxMenuItem in Functions-Builder
	- Add: Change File in Editor-Notebook reads new the Functions-List
	- Change: Cut/Copy/Paste are deactivated, if no action possible
	- 'Replace' works now with a Selection
	- Add: select Font in Functions-Builder, if the Function needs a Font
	- Add: Number of Functions, Subs and Connections in Fileinfo
	- Change Toolbar: -Delete Buttons in Toolbar without reloading wxEditor
	- Edit Buttons
	- Add placeholders for Buttons definition
	- Change: User definied Buttons are now saved in the ini-File
	- Change: Statusbar- the middle Field will display the Tab-Width, current Line and Position
	- Add: Search Menu: 'Find in Selection' and 'Replace in Selection'
	- Add: select Font in Functions-Builder, if the Function needs a Font
	- Add: Edit-Menu: 'Clear Selection': 'Line Breaks'
	- Remove: Edit-Menu: 'Clear Selection': 'All'
	- Add: Wildcards in File-Open Dialog
	- Add: File-Info- Sub's, Functions and Connections

V 2.2 beta (06/29/03)
	- Fix: Run GUI-Builder on older PC (I hope)
	- Fix: 'Comment as Code' from the Edit-Menu ignores now non-comment-Lines
	- Fix: reading Sub at the first start (not always)
	- Fix: Update Functions for the actually File after closing another
	- Fix: The needed Files for the GUI-Builder are searched in the wxBasic-Directory and in the
	       Ide-Directory
	- Change: GUI-Builder Lookout
	- Add: Insert Sub-Function's from the GUI-Builder
	- Add: Insert Builtin-Functions
	- Add: Edit saved Blocks directly in the List

V 2.1 beta (05/30/03)
	- Fix: Try open an already opened File and close the other later
	- Add: Show BuiltIn-Functions in Help-Menu
	Read the Name and short description from the 'builtin.c'
	- Add: Show all declared Functions in Help-Menu
	- Add: Block Menu
	Save Block: save a marked Block into an separated File
	Manage Blocks: Insert to current position or delete saved Blocks
	- Add: Function/GUI-Builder

V 2.0 beta (04/02/03)
	- Fix: "Save File as" Dialog then saving a untitled File
	- Fix: Clear Sub/Functions-List after closing last File
	- Fix: File printing: Char Height is now set correctly
	- Fix: Error in the search Routine
	- Add: File printing: print with the selected Font
	- Add: File printing: print in Zoom Mode
	- Add: Add up to 7 user definied Buttons to the Toolbar by right Click on it
	- Remove: Tools Menu (replaced by the user definied Buttons)
	- Pressing OK in the Bookmark Info will go to the selected Bookmark
	- "Reread Sublist" can now calling over F4 keystroke

	File Menu
	- Add: Close All
	- Add: Reload File
	- Add: File Info

	Edit Menu
	- Add: Goto Position
	- Add: Insert Time
	- Add: Lines as Comment
	- Add: Comment as Code
	- Add: Convert Tabs into Spaces
	- Add: Convert Spaces into Tabs (not always set correctly)
	- Add: Convert EOLs
	- Add: Convert Selection to upper/lower case
	- Add: Clear Selection: * Spaces left/right
				* empty Lines
				* Comment Lines only
				* all Comments
				* All of them

	Add: View Menu
	- Add: Show Line Numbers
	- Add: Set Marker as Line Marker
	- Add: Hide/View Selection
	- Move here: Zoom
	- Move here: View Highlighted Line
	- Move here: View EOL
	- Move here: View Tabs/Spaces

	Options Menu
	- Remove: Set wxBasicPath - at the first start or if no wxBasic.exe found, a Filedialog
		  will be open.
	- Remove: Set MenuBuilerPath (repleced by the user definied Buttons)
	- Add: Backup: This Option will add the Ending .bak to the Filename without replacing
		       the existing Ending (nice for Files with the same Name but another Ending)
	       * when save/run the File
	       * every ... minutes
	- Add: Change ErrMarker Colour
	       Change Bookmarks Colour
	       Change CaretLine Colour
	       Change Text Colour
	       Change Comments Colour
	       Change Numbers Colour
	       Change Keywords Colour
	       Change Quote Colour
	- Add: Show FilePath in Notebook Tab

V 1.1 beta (03/03/03)
	- Fix: File closing/saving problem
	- Fix: Call Error handling and speeding up
	- Fix: File Printing - Page count is now set correctly
	- Rename to wxIDE1.1 and wxIde.ini

	Add: Bookmark Menu
	- Info
	- Delete all Bookmarks
	- Set Bookmark 1...4
	- Goto Bookmark 1...4

	Options Menu
	- Add: Change Font
	- Add: Change Zoom
	- Add: View Tabs and Spaces
	- Add: Set Tab as Space
	- Add: Set Line wrapping
	- Add: Reset Font to default

V 1.0 (02/19/03)
	- Then you execute a program the file is saved automatically.
	- Saved, if the program is used in fullscreen mode.

	Add to the Program:
	- Icon-Toolbar for easy handling
	- Read Sub's and Functions in a Combobox for easy jumping (interesting for larger Files)
	- wxNotebook for opening more Files
	- Options Menu
	- Tools Menu
	- Write an ini-File for save Options
	- You can now save projects in its own directory.

	File Menu:
	- Add: File Close
	- Add: Delete active File
	- Add: Print File
	- Add: File History for 4 Files

	Edit Menu:
	- Add: Undo
	- Add: Redo
	- Add: Goto Line
	- Add: Goto Marker
	- Add: Insert File, for Example a Menufile
	- Add: Insert Date
	- Add: Select All

	Run Menu:
	- Add: Compile und Run

	Add: Options Menu
	- Save Path to wxbasic.exe (incl. shroud.wx and bind.wx)
	- Save Path to the Menubuilder (can be an .exe or an wxBasic File)
	- Change Tab-Width
	- Set highlighted Line
	- View EOL
	- Load last File at the start
	- Reread Sub-List

	Add: Tools Menu
	- Run Menumaker
